DataSetImmutable (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: DataSetImmutable

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class DataSetImmutable

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.DataSetImmutable

All Implemented Interfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable`, `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IMetaprojectContent`

Direct Known Subclasses:
  `DataSetUpdatable`

public class DataSetImmutable extends Object
A data set that has already been stored in openBIS.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final ch.systemsx.cisd.openbis.generic.shared.basic.dto.AbstractExternalData`
  `dataSet`
  `protected final ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedBasicOpenBISService`
  `service`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataSetImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.AbstractExternalData dataSet, ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedBasicOpenBISService service)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `List<String>`
  `getAllPropertyCodes()`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable>`
  `getChildrenDataSets()`
  `List<String>`
  `getContainedDataSetCodes()`
  `String`
  `getContainerDataSet()`
  `List<String>`
  `getContainerDataSets()`
  `String`
  `getDataSetCode()`
  `ch.systemsx.cisd.openbis.generic.shared.basic.dto.DataSetKind`
  `getDataSetKind()`
  `String`
  `getDataSetType()`
  `ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.DataSetType`
  `getDataSetTypeWithPropertyTypes()`
  `protected ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.DataSetType`
  `getDataSetTypeWithPropertyTypes(String dataSetTypeCode)`
  `ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.id.IObjectId`
  `getEntityId()`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable`
  `getExperiment()`
  `String`
  `getExternalCode()`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable`
  `getExternalDataManagementSystem()`
  `Integer`
  `getOrderInContainer(String containerDataSetCode)`
  `List<String>`
  `getParentDatasets()`
  `String`
  `getPropertyValue(String propertyCode)`
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable`
  `getSample()`
  `int`
  `getSpeedHint()`
  `boolean`
  `isContainedDataSet()`
  `boolean`
  `isContainerDataSet()`
  `boolean`
  `isLinkDataSet()`
  `boolean`
  `isMeasuredData()`
  `boolean`
  `isNoFileDataSet()`
  `boolean`
  `isPostRegistered()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### dataSet

    protected final ch.systemsx.cisd.openbis.generic.shared.basic.dto.AbstractExternalData dataSet

  - ### service

    protected final ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedBasicOpenBISService service

- ## Constructor Details

  - ### DataSetImmutable

    public DataSetImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.AbstractExternalData dataSet, ch.systemsx.cisd.openbis.dss.generic.shared.IEncapsulatedBasicOpenBISService service)

- ## Method Details

  - ### getDataSetCode

    public String getDataSetCode()

  - ### getEntityId

    public ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.id.IObjectId getEntityId()

  - ### getExperiment

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExperimentImmutable getExperiment()

  - ### getSample

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.ISampleImmutable getSample()

  - ### isMeasuredData

    public boolean isMeasuredData()

  - ### getSpeedHint

    public int getSpeedHint()

  - ### getDataSetType

    public String getDataSetType()

  - ### getDataSetKind

    public ch.systemsx.cisd.openbis.generic.shared.basic.dto.DataSetKind getDataSetKind()

  - ### getDataSetTypeWithPropertyTypes

    public ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.DataSetType getDataSetTypeWithPropertyTypes()

  - ### getPropertyValue

    public String getPropertyValue(String propertyCode)

  - ### getAllPropertyCodes

    public List<String> getAllPropertyCodes()

  - ### getParentDatasets

    public List<String> getParentDatasets()

  - ### isContainerDataSet

    public boolean isContainerDataSet()

  - ### isContainedDataSet

    public boolean isContainedDataSet()

  - ### getContainerDataSet

    public String getContainerDataSet()

  - ### getContainerDataSets

    public List<String> getContainerDataSets()

  - ### getOrderInContainer

    public Integer getOrderInContainer(String containerDataSetCode)

  - ### getContainedDataSetCodes

    public List<String> getContainedDataSetCodes()

  - ### getChildrenDataSets

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IDataSetImmutable> getChildrenDataSets()

  - ### isLinkDataSet

    public boolean isLinkDataSet()

  - ### getExternalDataManagementSystem

    public ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable getExternalDataManagementSystem()

  - ### getExternalCode

    public String getExternalCode()

  - ### isNoFileDataSet

    public boolean isNoFileDataSet()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### isPostRegistered

    public boolean isPostRegistered()

  - ### getDataSetTypeWithPropertyTypes

    protected ch.systemsx.cisd.openbis.generic.shared.api.v1.dto.DataSetType getDataSetTypeWithPropertyTypes(String dataSetTypeCode)